Runtime Error . FLAG_IMMUTABLE required, notification component

Hey koders . After the new update my app’s chat screen can’t be opened because of this Runtime error pop up . Everything was perfectly working before the update . Did anybody can understand what’s the issue ?

Don’t tag people, it’s disrespectful especially when they are no longer active on this forum.

1 Like

Oh sorry for that …

it is the billing component of kodular. i have the same error

This is one of the new requirements for SDK 31… See also here

Taifun

1 Like

Thank you Taifun for the reply . Notification component is the problem . I removed it from the block section and now that pop up message isn’t showing now… :slightly_smiling_face:

Thank you for finding the component… @Kodular @pavi2410 might want to addt that flag to follow the new SDK31 requirements
Taifun

2 Likes

This seems to be only a guess…
Taifun

This seems to affect any Play Services dependant component. I’m working on a fix

5 Likes

that would be great because I am facing the same problem here …
thanks in advance

1 Like

it’s not the billing component. it is the notification component of KODULAR

2 Likes

Yes i already mentioned it before

1 Like

2 posts were merged into an existing topic: [FREE] :love_letter: Notification Style: extension with various types of notification. :love_letter:

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.

I have the same issue using the “Notification” component. I see that the issue is open since early October. Any update on this?

this is still an open bug…
unfortunately our friendly Kodular team is a bit sloooow… :snail:
I will change to category to #feedback:bugs, probably this helps to speed things up…

Taifun

1 Like